=====================================================================
# NII Face Mask Dataset v1.0
=====================================================================

Authors:
Trung-Nghia Le (1), Khanh-Duy Nguyen (2), Huy H. Nguyen (1), Junichi Yamagishi (1), Isao Echizen (1)

Affiliations:
(1)National Institute of Informatics, Japan 
(2)University of Information Technology-VNUHCM, Vietnam

National Institute of Informatics 
Copyright (c) 2021

Emails:
{ltnghia, nhhuy, jyamagis, iechizen}@nii.ac.jp, {khanhd}@uit.edu.vn

Arxiv: https://arxiv.org/abs/2111.12888
NII Face Mask Dataset v1.0: https://zenodo.org/record/5761725

=============================== INTRODUCTION ===============================

The NII Face Mask Dataset is the first large-scale dataset targeting mask-wearing ratio estimation in street cameras. This dataset contains 581,108 face annotations extracted from 18,088 video frames (1920x1080 pixels) in 17 street-view videos obtained from the Rambalac's YouTube channel.

- https://www.youtube.com/c/Rambalac

The videos were taken in multiple places, at various times, before and during the COVID-19 pandemic. The total length of the videos is approximately 56 hours.


=============================== REFERENCES ===============================

If your publish using any of the data in this dataset please cite the following papers:

#Pre-print version
@article{Nguyen202112888,
  title={Effectiveness of Detection-based and Regression-based Approaches for Estimating Mask-Wearing Ratio},
  author={Nguyen, Khanh-Duy and Nguyen, Huy H and Le, Trung-Nghia and Yamagishi, Junichi and Echizen, Isao},
  archivePrefix={arXiv},
  arxivId={2111.12888},
  url={https://arxiv.org/abs/2111.12888},
  year={2021}
}

#Final version
@INPROCEEDINGS{Nguyen2021EstMaskWearing,
  author={Nguyen, Khanh-Duv and Nguyen, Huv H. and Le, Trung-Nghia and Yamagishi, Junichi and Echizen, Isao},
  booktitle={2021 16th IEEE International Conference on Automatic Face and Gesture Recognition (FG 2021)}, 
  title={Effectiveness of Detection-based and Regression-based Approaches for Estimating Mask-Wearing Ratio}, 
  year={2021},
  pages={1-8},
  url={https://ieeexplore.ieee.org/document/9667046},
  doi={10.1109/FG52635.2021.9667046}}


======================== DATA STRUCTURE ==================================


1. Directory Structure
-------------------------------

./NFM
├── dataset
│   ├── train.csv: annotations for the train set.
│   ├── test.csv: annotations for the test set.
└── README_v1.0.md


2. Description for each files in detail.
---------------------------------------------------------

We use the same structure for two CSV files (train.csv and test.csv). Both CSV files have the same columns:
    <1st column>: video_id (a source video can be found by following the link: https://www.youtube.com/watch?v=<video_id>)
    <2nd column>: frame_id (the index of a frame extracted from the source video)
    <3rd column>: timestamp in milisecond (the timestamp of a frame extracted from the source video)
    <4th column>: label (for each annotated face, one of three labels was attached with a bounding box: 'Mask'/'No-Mask'/'Unknown')
    <5th column>: left
    <6th column>: top
    <7th column>: right
    <8th column>: bottom
    Four coordinates (left, top, right, bottom) were used to denote a face's bounding box. 


============================== COPYING ================================

This repository is made available under Creative Commons Attribution License (CC-BY). 

Regarding Creative Commons License: Attribution 4.0 International (CC BY 4.0), 
please see https://creativecommons.org/licenses/by/4.0/

THIS DATABASE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS DATABASE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE


====================== ACKNOWLEDGEMENTS ================================

This research was partly supported by JSPS KAKENHI Grants (JP16H06302, JP18H04120, JP21H04907, JP20K23355, JP21K18023), and JST CREST Grants (JPMJCR20D3, JPMJCR18A6), Japan.

This dataset is based on the Rambalac's YouTube channel: https://www.youtube.com/c/Rambalac
